Bug 579063 (perl-Perl-Version) - Review Request: perl-Perl-Version - Parse and manipulate Perl version strings
Summary: Review Request: perl-Perl-Version - Parse and manipulate Perl version strings
Keywords:
Status: CLOSED ERRATA
Alias: perl-Perl-Version
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Perl-Vers...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 12:32 UTC by Iain Arnell
Modified: 2010-04-20 13:36 UTC (History)
2 users (show)

Fixed In Version: perl-Perl-Version-1.009-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-20 13:17:43 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-04-02 12:32:06 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Perl-Version.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Perl-Version-1.009-1.fc14.src.rpm

Description:
Perl::Version provides a simple interface for parsing, manipulating and
formatting Perl version strings.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2091102

*rt-0.10_01

Comment 1 Chris Weyl 2010-04-02 16:03:38 UTC
Looks good!

There's an examples/ directory; why not include it under %doc?

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2091102

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
9a1dd0d1eb4652ea7233c0d02df2bce84b470d2c Perl-Version-1.009.tar.gz
9a1dd0d1eb4652ea7233c0d02df2bce84b470d2c Perl-Version-1.009.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Perl-Version-1.009-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Perl-Version-1.009-1.fc14.noarch.rpm
perl(Perl::Version) = 1.009
perl-Perl-Version = 1.009-1.fc14
====> requires for perl-Perl-Version-1.009-1.fc14.noarch.rpm
perl(Carp)  
perl(constant)  
perl(:MODULE_COMPAT_5.10.1)  
perl(overload)  
perl(Scalar::Util)  
perl(strict)  
perl(warnings)  

=====> perl-Perl-Version-1.009-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Perl-Version-1.009-1.fc14.src.rpm
====> requires for perl-Perl-Version-1.009-1.fc14.src.rpm
perl(ExtUtils::MakeMaker)  
perl(File::Slurp) >= 9999.12
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

APPROVED

Comment 2 Iain Arnell 2010-04-02 16:21:21 UTC
New Package CVS Request
=======================
Package Name: perl-Perl-Version
Short Description: Parse and manipulate Perl version strings
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-03 17:44:28 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-04-04 06:48:18 UTC
That example is actually a useful little script for manipulating a project's version numbers. Makefile.PL offers to install it, so I changed the default response from No to Yes and added it (and man page) to %files.

Comment 5 Fedora Update System 2010-04-04 07:09:05 UTC
perl-Perl-Version-1.009-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Perl-Version-1.009-2.fc12

Comment 6 Fedora Update System 2010-04-04 07:09:09 UTC
perl-Perl-Version-1.009-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Perl-Version-1.009-2.fc13

Comment 7 Fedora Update System 2010-04-04 07:09:14 UTC
perl-Perl-Version-1.009-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Perl-Version-1.009-2.fc11

Comment 8 Fedora Update System 2010-04-06 19:57:54 UTC
perl-Perl-Version-1.009-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Perl-Version'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Perl-Version-1.009-2.fc13

Comment 9 Fedora Update System 2010-04-09 01:26:07 UTC
perl-Perl-Version-1.009-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Perl-Version'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Perl-Version-1.009-2.fc11

Comment 10 Fedora Update System 2010-04-09 01:29:05 UTC
perl-Perl-Version-1.009-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Perl-Version'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Perl-Version-1.009-2.fc12

Comment 11 Fedora Update System 2010-04-20 13:17:38 UTC
perl-Perl-Version-1.009-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-20 13:20:45 UTC
perl-Perl-Version-1.009-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-20 13:36:41 UTC
perl-Perl-Version-1.009-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.